Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.lang3.text.translate
Class EntityArrays

    java.lang.Object
      org.apache.commons.lang3.text.translate.EntityArrays

    public class EntityArrays

extends Object

Class holding various entity data for HTML and XML - generally for use with the LookupTranslator. All arrays are of length [*][2].

Since:
  3.0
Version:
  $Id: EntityArrays.java 1088899 2011-04-05 05:31:27Z bayard $

Constructor Summary
`EntityArrays()`

Method Summary
`static String[][]` | `APOS_ESCAPE()` Mapping to escape the apostrophe character to its XML character entity.
`static String[][]` | `APOS_UNESCAPE()` Reverse of `APOS_ESCAPE()` for unescaping purposes.
`static String[][]` | `BASIC_ESCAPE()` Mapping to escape the basic XML and HTML character entities.
`static String[][]` | `BASIC_UNESCAPE()` Reverse of `BASIC_ESCAPE()` for unescaping purposes.
`static String[][]` | `HTML40_EXTENDED_ESCAPE()` Mapping to escape additional character entity references.
`static String[][]` | `HTML40_EXTENDED_UNESCAPE()` Reverse of `HTML40_EXTENDED_ESCAPE()` for unescaping purposes.
`static String[][]` | `invert(String[][] array)` Used to invert an escape array into an unescape array
`static String[][]` | `ISO8859_1_ESCAPE()` Mapping to escape ISO-8859-1 characters to their named HTML 3.x equivalents.
`static String[][]` | `ISO8859_1_UNESCAPE()` Reverse of `ISO8859_1_ESCAPE()` for unescaping purposes.
`static String[][]` | `JAVA_CTRL_CHARS_ESCAPE()` Mapping to escape the Java control characters.
`static String[][]` | `JAVA_CTRL_CHARS_UNESCAPE()` Reverse of `JAVA_CTRL_CHARS_ESCAPE()` for unescaping purposes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityArrays

    public EntityArrays()

Method Detail

### ISO8859_1_ESCAPE

    public static String[][] ISO8859_1_ESCAPE()

  Mapping to escape ISO-8859-1 characters to their named HTML 3.x equivalents.

  Returns:
    the mapping table

### ISO8859_1_UNESCAPE

    public static String[][] ISO8859_1_UNESCAPE()

  Reverse of `ISO8859_1_ESCAPE()` for unescaping purposes.

  Returns:
    the mapping table

### HTML40_EXTENDED_ESCAPE

    public static String[][] HTML40_EXTENDED_ESCAPE()

  Mapping to escape additional character entity references. Note that this must be used with `ISO8859_1_ESCAPE()` to get the full list of HTML 4.0 character entities.

  Returns:
    the mapping table

### HTML40_EXTENDED_UNESCAPE

    public static String[][] HTML40_EXTENDED_UNESCAPE()

  Reverse of `HTML40_EXTENDED_ESCAPE()` for unescaping purposes.

  Returns:
    the mapping table

### BASIC_ESCAPE

    public static String[][] BASIC_ESCAPE()

  Mapping to escape the basic XML and HTML character entities. Namely: `" & < >`

  Returns:
    the mapping table

### BASIC_UNESCAPE

    public static String[][] BASIC_UNESCAPE()

  Reverse of `BASIC_ESCAPE()` for unescaping purposes.

  Returns:
    the mapping table

### APOS_ESCAPE

    public static String[][] APOS_ESCAPE()

  Mapping to escape the apostrophe character to its XML character entity.

  Returns:
    the mapping table

### APOS_UNESCAPE

    public static String[][] APOS_UNESCAPE()

  Reverse of `APOS_ESCAPE()` for unescaping purposes.

  Returns:
    the mapping table

### JAVA_CTRL_CHARS_ESCAPE

    public static String[][] JAVA_CTRL_CHARS_ESCAPE()

  Mapping to escape the Java control characters. Namely: `\b \n \t \f \r`

  Returns:
    the mapping table

### JAVA_CTRL_CHARS_UNESCAPE

    public static String[][] JAVA_CTRL_CHARS_UNESCAPE()

  Reverse of `JAVA_CTRL_CHARS_ESCAPE()` for unescaping purposes.

  Returns:
    the mapping table

### invert

    public static String[][] invert(String[][] array)

  Used to invert an escape array into an unescape array

  Parameters:
    `array` - String[][] to be inverted
  Returns:
    String[][] inverted array

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.